<template>
  <div
    class="mt-10px shadow-default bg-white pl-35px pr-30px pr-35px h-60px rounded-10px relative flex items-center justify-between"
  >
    <h3 class="nav-title">作业辅导</h3>
    <div class="btnDiv">
      <el-button
        size="large"
        @click="linkTo('jsd_personal_wdkc')"
        class="w-100px"
        >返回
      </el-button>
    </div>
  </div>
  <div
    class="mt-10px shadow-default bg-white-grey pt-25px pl-35px pr-35px pb-35px rounded-10px"
  >
    <div class="flex">
      <el-select
        v-model="subject_id"
        class="shadow-default"
        placeholder="全部学科"
        size="large"
        @change="filterData"
        clearable
        filterable
      >
        <el-option value="">全部学科</el-option>
        <el-option
          v-for="item in subjectList"
          :key="item.tjzx_id"
          :label="item.tjzx_xkmc"
          :value="item.tjzx_id"
        />
      </el-select>
      <el-select
        v-model="grade_id"
        class="shadow-default ml-20px"
        placeholder="全部年级"
        size="large"
        @change="filterData"
        clearable
        filterable
      >
        <el-option value="">全部年级</el-option>
        <el-option
          v-for="item in gradeList"
          :key="item.tjzn_id"
          :label="item.tjzn_njmc"
          :value="item.tjzn_id"
        />
      </el-select>
      <el-select
        v-model="tz_cb"
        class="shadow-default ml-20px"
        placeholder="全部册别"
        size="large"
        @change="filterData"
        clearable
        filterable
      >
        <el-option value="">全部册别</el-option>
        <el-option
          v-for="item in cb_list"
          :key="item.v"
          :label="item.n"
          :value="item.v"
        />
      </el-select>
      <el-select
        v-model="tz_dy"
        class="shadow-default ml-20px"
        placeholder="全部单元"
        size="large"
        @change="filterData"
        clearable
        filterable
      >
        <el-option value="">全部单元</el-option>
        <el-option
          v-for="item in dy_list"
          :key="item.v"
          :label="item.n"
          :value="item.v"
        />
      </el-select>
      <div class="search-box ml-20px">
        <input type="text" placeholder="搜索关键字" v-model="keyword" />
        <button type="button" class="search-btn" @click="filterData"></button>
      </div>
    </div>
    <div v-if="listData.length > 0">
      <ul class="mt-25px course-list">
        <li v-for="item in listData" @click="toDetail(item)">
          <div class="course-img relative">
            <img :src="item.tz_img.split('|')[0]" alt="" />
            <div class="info-bottom pl-7px items-center flex justify-between">
              <div>
                <span class="icon-view inline-block align-middle"></span>
                <span
                  class="ml-5px text-14px text-white inline-block align-middle"
                  >{{ item.tz_lll }}</span
                >
              </div>
              <div class="mr-10px">
                <span class="icon-thumb inline-block align-middle"></span>
                <span
                  class="ml-5px text-14px text-white inline-block align-middle"
                  >{{ item.tz_dzl }}</span
                >
              </div>
            </div>
          </div>
          <div class="pt-10px pb-20px px-15px border-bottom-1">
            <div
              class="text-16px text-dark-400 h-40px leading-20px overflow-hidden"
            >
              {{ item.tz_mc }}
            </div>
            <h4 class="mt-10px text-12px color-grey text-right">
              {{ item.tjzx_name }} | {{ item.tjzn_name }} | {{ item.tz_cb }} |
              {{ item.tz_dy }}
            </h4>
          </div>
          <div class="flex mt-15px pb-20px justify-between px-15px text-14px">
            <span class="text-dark-400">责任老师：{{ item.tz_zjyhmc }}</span>
            <span class="flex-1 ml-15px color-grey text-right text-overflow">{{
              item.tz_ssmsgzs_mc
            }}</span>
          </div>
        </li>
      </ul>
      <div class="mt-20px flex justify-center">
        <el-pagination
          v-model:current-page="cur_page"
          v-model:page-size="limit"
          layout="total, prev, pager, next"
          :total="total"
          :background="true"
          @current-change="handleSelectionChange"
        ></el-pagination>
      </div>
    </div>
    <div v-else class="py-80px text-center">
      <div>
        <img
          src="/images/icon-no-data.png"
          width="138"
          class="block m-0-auto"
          alt=""
        />
        <h3 class="text-18px color-050026 mt-20px">暂无数据，敬请期待！</h3>
      </div>
    </div>
  </div>
</template>

<script setup>
import { useRouter } from "vue-router";
import { zyfd_list, grade_list, subject_list, sjzd_list } from "./api.js";
import { user } from '@/store/index'
const router = useRouter();
const linkTo = (name) => {
  router.push({ name });
};
let keyword = $ref("");
let subject_id = $ref("");
let grade_id = $ref("");
let subjectList = $ref([]);
let gradeList = $ref([]);
let limit = $ref(8);
let total = $ref(0);
let cur_page = $ref(1);
let listData = $ref([]);
let tz_cb = $ref("");
let cb_list = $ref([]);
let tz_dy = $ref("");
let dy_list = $ref([]);
function getGradeList() {
  let data = {
    page: "1",
    limit: "999",
  };
  grade_list(data).then((res) => {
    if (res.code === "1") {
      gradeList = res.data.page_data;
    }
  });
}
function getSubjectList() {
  let data = {
    page: "1",
    limit: "999",
  };
  subject_list(data).then((res) => {
    if (res.code === "1") {
      subjectList = res.data.page_data;
    }
  });
}
function getCBList() {
  const data = {
    cs_code: "TXWXCB",
  };
  sjzd_list(data).then((res) => {
    if (res.code === "1") {
      cb_list = res.data.option;
    }
  });
}
function getDYList() {
  const data = {
    cs_code: "TXWXDY",
  };
  sjzd_list(data).then((res) => {
    if (res.code === "1") {
      dy_list = res.data.option;
    }
  });
}
function getListData() {
  let data = {
    page: cur_page,
    limit: limit,
    keyword: keyword,
    tjzn_id: grade_id,
    tjzx_id: subject_id,
    tz_cb: tz_cb,
    tz_dy: tz_dy,
    tz_zjyh_user_id: user.value.user_id,
    M5jxrcL:''
  };
  zyfd_list(data).then((res) => {
    if (res.code === "1") {
      listData = res.data.page_data;
      total = Number(res.data.total_rows);
      cur_page = Number(res.data.page_now);
    }
  });
}
function toDetail(item) {
  router.push({
    name: "jsd_personal_wdkc_zyfd_detail",
    params: { tz_id: item.tz_id },
  });
}
getGradeList();
getSubjectList();
getCBList();
getDYList();
getListData();
let handleSelectionChange = (val) => {
  cur_page = val;
  getListData();
};
function filterData() {
  cur_page = 1;
  getListData();
}
</script>

<style lang="scss" scoped>
$color: #1259a1;
.bg-white-grey {
  background: #fcfeff;
}
.shadow-default {
  box-shadow: 0 10px 24px rgba(161, 153, 168, 0.18);
}
.color-grey {
  color: #999;
}
.border-bottom-1 {
  border-bottom: 1px solid #eee;
}
.nav-title {
  font-size: 18px;
  color: #050026;
}
.btnDiv {
  .el-button {
    background: $color;
    border-color: $color;
    color: #fff;
  }
}
.search-box {
  width: 300px;
  height: 48px;
  background: #f6f8fa;
  border-radius: 8px;
  padding: 0 10px 0 14px;
  display: flex;
  align-items: center;
  input {
    flex: 1;
    height: 48px;
    border: 0;
    font-size: 16px;
    color: #333;
    outline: none;
    background: #f6f8fa;
  }
  .search-btn {
    width: 26px;
    height: 26px;
    border-radius: 6px;
    background: $color url("/images/icon-search.png") center no-repeat;
    background-size: 13px 13px;
  }
}
.course-list {
  display: flex;
  flex-wrap: wrap;
  li {
    min-width: 0;
    width: 268px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.11);
    margin-right: 19px;
    margin-bottom: 15px;
    cursor: pointer;
    &:nth-child(4n) {
      margin-right: 0;
    }
    .course-img {
      width: 100%;
      height: 151px;
      border-radius: 10px 10px 0 0;
      overflow: hidden;
      img {
        width: 100%;
      }
      .info-bottom {
        position: absolute;
        left: 0;
        bottom: 0;
        z-index: 30;
        width: 152px;
        height: 27px;
        background: rgba(0, 0, 0, 0.5);
        border-radius: 0 10px 0 0;
        display: flex;
        .icon-view {
          width: 24px;
          height: 16px;
          background: url("/images/icon/view.png") center no-repeat;
          background-size: 24px 16px;
        }
        .icon-thumb {
          width: 17px;
          height: 16px;
          background: url("/images/icon/thumb.png") center no-repeat;
          background-size: 17px 16px;
        }
      }
    }
  }
}
::v-deep .el-pagination.is-background .el-pager li.is-active {
  background: $color;
}
::v-deep .el-pager li:hover {
  color: $color;
}
</style>